package com.qunzhixinxi.hnqz.admin.entity.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * 自由职家回调参数
 *
 * @author lixuesong
 * @date 2022年04月17日 11:38
 */
@Data
public class GigOladingSignUpRequest {

	/**
	 * 请求流水号，由商户保持唯一
	 */
	@NotBlank(message = "request_id必填")
	private String requestId;

	/**
	 * 签约状态；包括已签约、未签约
	 */
	@NotNull(message = "status必填")
	private CertStatus status;

	/**
	 * 签约状态；包括已签约、未签约
	 */
	@Getter
	@AllArgsConstructor
	public enum CertStatus {

		UN_SIGNED(0, "未签约"),
		SIGNED(1, "已签约");

		private final Integer code;

		private final String message;
	}
}
